Subject: bug#44925: gdm boot up failure

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 10 Jan 2021 22:01:43 -0500

Hi Christopher,

Guillaume Le Vaillant <[email-masked]> writes:

> I had a similar problem today.
>
> I booted with a system configured with Guix at
> 275fcffc9b5f4deb516c510b26b07c13d6e47307 and everything worked fine.
>
> Then I reconfigured with Guix at commit
> 04b83678653fda3c66e600e88f54f5108290ec1c, removed a few dozen old
> generations and did a 'guix gc'.
>
> At the next reboot, gdm didn't work anymore. I rebooted and launched the
> previous system generation, but gdm still didn't work, which is strange.
>
> After some investigation, I found that gdm was failing because the
> kernel driver for the GPU was not loaded (the 'nouveau' driver in my
> case). I tried to load it by hand with
> 'insmod /run/booted-system/kernel/lib/modules/5.9.11/.../nouveau.ko.gz',
> and it failed with the error 'unknown symbol in module'.
>
> I'm not sure what was going on here... The only way I got everything to
> work again is by reconfiguring the system to compile and use the 5.9.12
> kernel.

Could you confirm that the problem has resolved itself with the current
Linux kernel version packaged in Guix?

Thanks,

Maxim